function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==29 then
    if obj_id==7000 then
        addfade(-38,0);
        SetAlfa(-38,0,1,1.5);
        speciale_action(4,-38)        
      BlockCursor(false)
    return;end;
  return;end;
  if pause_state then
    if sender==1 or sender==6 or sender==14 then
    pause_state=false;
    --set_visible_object(11111,false);
    end;
  return;end;
  if sender==100 then
    if flags.final then
   flags.final= false
    
  -- WriteToConsole("4\n")
  
  delete_tree_leaf("Root","comx1");
  -- WriteToConsole("5\n")
      setnextlavel(24);
        -- WriteToConsole("6\n")
      loadlavel();
        -- WriteToConsole("7\n")
    end;
  return;end;
  if sender==33 then
  if obj_id==-38 then
  BlockCursor(true)
  flags.final= true
  WaitRender()

  return;end;
  return;end;
end
